PETSc version 3.15.5
Fix/Edit manual page

# MatPartitioningView

Prints the partitioning data structure.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningView(MatPartitioning part,PetscViewer viewer)

Collective on MatPartitioning

### Input Parameters

| part | - the partitioning context
| viewer | - optional visualization context

### Note

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open alternative visualization contexts with

| PetscViewerASCIIOpen() | - output to a specified file

### See Also

PetscViewerASCIIOpen()

### Level

intermediate

### Location

src/mat/partition/partition.c

### Implementations

MatPartitioningView_Chaco in src/mat/partition/impls/chaco/chaco.c
MatPartitioningView_Hierarchical in src/mat/partition/impls/hierarchical/hierarchical.c
MatPartitioningView_Party in src/mat/partition/impls/party/party.c
MatPartitioningView_Parmetis in src/mat/partition/impls/pmetis/pmetis.c
MatPartitioningView_PTScotch in src/mat/partition/impls/scotch/scotch.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages